Subject: Re: Strange network timeouts w/ 2.6.30.5

From: Krzysztof Halasa <[email-masked]>
Date: Fri, 21 Aug 2009 11:44:35 +0200

Walt Holman <[email-masked]> writes:

> Would something like passing a mem=xx cmdline on x86_64 be sufficient to test this?

I think so, though I admit I don't remember using this personally since
the introduction of e820 RAM mapping support.
Dmesg will show if the memory is limited. For the swiotlb to effectively
disable no RAM > 0x100000000 may be used.

But this test isn't IMHO terribly important at this point - the driver
makes invalid use of the DMA API and it has to change. The test could
only explain _how_ exactly does it fail, we already know _why_ it does.
-- 
Krzysztof Halasa